random.php: Get random meal

API: themealdb.com:themealdb-api
Endpoint: /random.php
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 184ms

Description

Returns a single random meal with full details including ingredients and instructions.

Examples (1)

Lookup a single random meal doc_extracted
curl 'https://www.themealdb.com/api/json/v1/1/random.php'
import requests

resp = requests.get("https://www.themealdb.com/api/json/v1/1/random.php")
data = resp.json()
import zingu_apis

api = zingu_apis.api("themealdb")
result = api.fetch("random.php")

for item in result:
    print(item)
const resp = await fetch("https://www.themealdb.com/api/json/v1/1/random.php");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:47:11.503624 200 184ms
2026-04-16 00:08:35.082687 200 147ms
2026-04-15 04:10:44.609681 200 146ms
2026-04-15 01:17:53.019377 200 150ms
2026-04-14 03:59:57.914266 200 184ms
2026-04-14 00:27:52.803028 200 152ms
2026-04-12 16:01:21.344952 200 164ms
2026-04-12 15:46:05.082639 200 182ms
2026-04-10 03:09:13.079309 200 670ms
2026-04-10 01:35:36.430912 200 120ms
2026-04-09 03:12:56.313830 200 184ms
2026-04-09 00:13:48.369227 200 221ms
2026-03-23 10:29:51.801929 200 105ms
2026-03-23 09:38:31.196386 200 146ms